import request from '@/utils/request'

// 查询网评员列表
export function listWpy(query) {
  return request({
    url: '/tcZz/networkEcology/wpy/list',
    method: 'get',
    params: query
  })
}

// 查询网评员详细
export function getWpy(id) {
  return request({
    url: '/tcZz/networkEcology/wpy/' + id,
    method: 'get'
  })
}

// 新增网评员
export function addWpy(data) {
  return request({
    url: '/tcZz/networkEcology/wpy',
    method: 'post',
    data: data
  })
}

// 修改网评员
export function updateWpy(data) {
  return request({
    url: '/tcZz/networkEcology/wpy',
    method: 'put',
    data: data
  })
}

// 删除网评员
export function delWpy(id) {
  return request({
    url: '/tcZz/networkEcology/wpy/' + id,
    method: 'delete'
  })
}

// 网评员批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/networkEcology/wpy/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/networkEcology/wpy/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}